<script type="text/javascript">
jQuery(document).ready(function($) {
	$('#signup-form').bootstrapValidator({
		fields: {
			nickname: {
				validators: {
					notEmpty: {
						message: 'ニックネームを入力してください'
					}
				}
			},
			login_id: {
				validators: {
					notEmpty: {
						message: 'ログインIDを入力してください'
					},
					regexp: {
						regexp: /^[a-zA-Z0-9_]+$/,
						message: 'ログインIDは英数字・アンダーバーのみ使用できます'
					}
				}
			},
			password: {
				validators: {
					notEmpty: {
						message: 'パスワードを入力してください'
					},
					stringLength: {
						min: 5,
						message: 'パスワードは5文字以上入力してください'
					}
				}
			},
			confirm_password: {
				validators: {
					notEmpty: {
						message: 'パスワードを入力してください'
					},
					identical: {
						field: 'password',
						message: 'パスワードが一致していません'
					}
				}
			}
		}
	});
});
</script>

<div class="row">
	<div class="col-md-6 col-md-offset-3">

		<section class="content-section">
			<h4 class="content-section-title">新規登録</h4>

			<?php if (getenv('REQUEST_METHOD') === 'POST') : ?>
				<div class="alert alert-success">
					<h4 class="alert-title">新規登録が完了しました</h4>
					<p>ログインIDとパスワードでログインを行ってください。</p>
					<p><a href="<?php echo wp_login_url(); ?>" class="btn btn-default">ログイン</a></p>
				</div>
			<?php else: ?>
				<form method="post" action="<?php echo home_url( '/?act=signup' ); ?>" class="form-horizontal" id="signup-form">
					<?php wp_nonce_field( 'signupRegist', '_nonce' ); ?>
					<input type="hidden" name="act" value="signupRegist">
					<div class="form-group">
						<label for="label-email" class="col-sm-4 control-label">メールアドレス</label>
						<div class="col-sm-8">
							<input type="text" class="form-control" id="label-email" name="email" value="<?php echo $GLOBALS['user_email']; ?>" readonly="readonly">
						</div>
					</div>
					<div class="form-group">
						<label for="label-nickname" class="col-sm-4 control-label"><span class="text-danger">*</span>ニックネーム</label>
						<div class="col-sm-8">
							<input type="text" class="form-control" id="label-nickname" name="nickname" value="">
						</div>
					</div>
					<div class="form-group">
						<label for="label-login_id" class="col-sm-4 control-label"><span class="text-danger">*</span>ログインID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control" id="label-login_id" name="login_id" value="">
							<p class="help-block">英数字・アンダーバーのみ</p>
						</div>
					</div>
					<div class="form-group">
						<label for="label-password" class="col-sm-4 control-label"><span class="text-danger">*</span>パスワード</label>
						<div class="col-sm-8">
							<input type="password" class="form-control" id="label-password" name="password" value="">
							<p class="help-block">5文字以上</p>
						</div>
					</div>
					<div class="form-group">
						<label for="label-confirm_password" class="col-sm-4 control-label"><span class="text-danger">*</span>パスワード（確認）</label>
						<div class="col-sm-8">
							<input type="password" class="form-control" id="label-confirm_password" name="confirm_password" value="">
						</div>
					</div>
					<div class="form-group">
						<div class="col-sm-offset-4 col-sm-8">
							<button type="submit" class="btn btn-primary">新規登録</button>
						</div>
					</div>
				</form>
			<?php endif; ?>
		</section>
	</div>
</div>
