<?php get_header(); ?>

<?php $user = get_userdata( $author ); ?>

<div class="row">
	<div class="col-md-10 col-md-offset-1">

		<section class="content-section" id="user-profile">

			<div class="row">
				<div class="col-md-8 col-md-offset-2">

					<?php if ( wp_is_mobile() ) : ?>
						<div class="user-media clearfix">
							<?php echo get_avatar( $user->ID, 96, null, null, array( 'class' => 'user-media-image img-thumbnail' ) ); ?>
							<h3><?php echo $user->nickname; ?></h3>
						</div>
						<p><?php echo $user->description; ?></p>
					<?php else : ?>
						<div class="media">
							<div class="media-left">
								<?php echo get_avatar( $user->ID, 96, null, null, array( 'class' => 'media-object img-thumbnail' ) ); ?>
							</div>
							<div class="media-body">
								<h3 class="media-heading"><?php echo $user->nickname; ?></h3>
								<p><?php echo $user->description; ?></p>
							</div>
						</div>
					<?php endif; ?>

					<hr>

					<ul class="nav nav-tabs">
						<li class="active"><a href="#works" aria-controls="home" data-toggle="tab">作品</a></li>
						<li><a href="#diary" aria-controls="home" data-toggle="tab">活動日記</a></li>
					</ul>

					<div class="tab-content">
						<div class="tab-pane active" id="works">

							<ul class="media-list">
								<?php
								$user_novels = get_posts( array(
									'post_type' => 'novel',
									'author' => $user->ID,
									'post_parent' => 0,
									'numberposts' => 5,
									'meta_query' => array(
										array(
											'key' => 'novel_favorite_count',
											'value' => 0,
											'compare' => '>=',
											'type' => 'INT'
										)
									)
								) );
								foreach ( $user_novels as $post ) : setup_postdata( $post ) ; ?>
									<li class="media">
										<div class="media-left">
											<?php the_post_thumbnail_wrap( 'medium', array( 'class' => 'media-object img-thumbnail' ) ); ?>
										</div>
										<div class="media-body">
											<h4 class="media-heading"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
											<p><?php the_excerpt(); ?></p>
										</div>
									</li>
								<?php endforeach; ?>
							</ul>

							<p class="text-right"><small><a href="<?php echo home_url( '?s=&author='. $user->ID ); ?>"><?php echo $user->nickname; ?>さんの小説をもっと見る &raquo;</a></small></p>
						</div>
						<div class="tab-pane" id="diary">

							<ul>
								<?php
								$user_diarys = get_posts( array(
									'post_type' => 'diary',
									'author' => $user->ID,
									'post_parent' => 0,
									'numberposts' => 5
								) );
								foreach ( $user_diarys as $post ) : setup_postdata( $post ) ; ?>
									<li>
										<h4 class="diary-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
										<div class="diary-meta">
											<?php the_date(); ?> <?php the_time(); ?> |
											<a href="<?php echo get_comments_link( $post->ID ); ?>">コメント(<?php echo get_comments_number( $post->ID ); ?>)</a>
										</div>
									</li>
								<?php endforeach; ?>
							</ul>

							<p class="text-right"><small><a href="<?php echo get_post_type_archive_link( 'diary' ). '?uid='. $user->ID; ?>"><?php echo $user->nickname; ?>さんの活動日記をもっと見る &raquo;</a></small></p>
						</div>
					</div>

				</div>
			</div>

		</section>

	</div>
</div>

<?php get_footer(); ?>
