<div class="panel panel-default panel-comment" id="comments">
	<div class="panel-heading">
		<h4 class="panel-title">コメント</h4>
	</div>
	<div class="panel-body">

		<?php if ( have_comments() ) : ?>

			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
				<ul class="pager">
					<li><?php previous_comments_link( '&laquo; 前のコメント' ); ?></li>
					<li><?php next_comments_link( '次のコメント &raquo;' ); ?></li>
				</ul>
			<?php endif; ?>

			<ul class="media-list">
				<?php wp_list_comments(
					array(
						'walker' => null,
						'max_depth' => '',
						'style' => 'ul',
						'callback' => 'diary_comments',
						'end-callback' => null,
						'type' => 'all',
						'page' => '',
						'per_page' => '',
						'avatar_size' => 32,
						'reverse_top_level' => null,
						'reverse_children' => '',
					)
				); ?>
			</ul>

		<?php else : ?>
			<div class="text-muted">[コメントはありません]</div>
		<?php endif; ?>

		<?php
		$commenter = wp_get_current_commenter();
		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );
		$html5 = current_theme_supports( 'html5', 'comment-form' ) ? 1 : 0;
		$fields = array(
			'author' => '<div class="form-group comment-form-author"><label for="author">お名前'. ( $req ? ' <span class="required">*</span>' : '' ). '</label> '.
										'<input class="form-control" id="author" name="author" type="text" value="'. esc_attr( $commenter['comment_author'] ). '" size="30"'. $aria_req. ' /></div>',
			'email' => '<div class="form-group comment-form-email"><label for="email">メールアドレス'. ( $req ? ' <span class="required">*</span>' : '' ). ' </label> '.
										'<input class="form-control" id="email" name="email" '. ( $html5 ? 'type="email"' : 'type="text"' ). ' value="'. esc_attr(  $commenter['comment_author_email'] ). '" size="30"'. $aria_req. ' /></div>',
			'url' => '<div class="form-group comment-form-url"><label for="url">サイトURL</label> '.
										'<input class="form-control" id="url" name="url" '. ( $html5 ? 'type="url"' : 'type="text"' ). ' value="'. esc_attr( $commenter['comment_author_url'] ). '" size="30" /></div>'        
		);
		comment_form(array(
			'fields' => apply_filters( 'comment_form_default_fields', $fields ),
			'comment_field' => '<div class="form-group comment-form-comment"><label for="comment">コメント</label><textarea class="form-control" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></div>',
			'class_submit' => 'btn btn-info',
			'comment_notes_after'  => '',
		)); ?>

	</div>
</div>
