<div class="row">
	<div class="col-md-9">
		<div class="row">
			<div class="col-sm-4">
				<?php if ( is_active_sidebar( 'bunko-top-left-sidebar' ) ) dynamic_sidebar( 'bunko-top-left-sidebar' ); ?>
				<div class="panel-group accordion">
					<aside class="panel panel-default">
						<div class="panel-heading">
							<h3 class="panel-title"><a class="accordion-toggle" data-toggle="collapse" href="#genre-list"><i class="fa fa-globe"></i> カテゴリー一覧<i class="fa fa-caret-down pull-right"></i></a></h3>
						</div>
						<div id="genre-list" class="panel-collapse collapse<?php echo (!wp_is_mobile() ? ' in' : ''); ?>">
							<ul class="nav nav-pills nav-stacked">
								<?php
								$cats =  get_terms( 'novel_cat', 'get=all' );
								if ( is_array( $cats ) ) : foreach ( $cats as $cat ) : ?>
									<li>
										<a href="<?php echo get_term_link( $cat, 'novel_cat' ); ?>"><?php echo $cat->name; ?><span class="badge pull-right"><?php echo $cat->count; ?></span></a>
									</li>
								<?php endforeach; endif; ?>
							</ul>
						</div>
					</aside>
					<aside class="panel panel-default">
						<div class="panel-heading">
							<h3 class="panel-title"><a class="accordion-toggle" data-toggle="collapse" href="#tag-list"><i class="fa fa-tags"></i> タグ一覧<i class="fa fa-caret-down pull-right"></i></a></h3>
						</div>
						<div id="tag-list" class="panel-collapse collapse<?php echo (!wp_is_mobile() ? ' in' : ''); ?>">
							<div class="panel-body">
								<ul class="list-unstyled tag-list">
									<li>
										<?php
										$tags = get_terms( 'novel_tag', 'get=all' );
										if ( is_array( $tags ) ) : foreach ( $tags as $tag ) : ?>
											<a href="<?php echo get_term_link( $tag, 'novel_tag' ); ?>" class="no-underline"><span class="label label-primary"><i class="fa fa-tag"></i> <?php echo $tag->name; ?></span></a>
										<?php endforeach; endif; ?>
									</li>
								</ul>
							</div>
						</div>
					</aside>
				</div>
				<?php if ( is_active_sidebar( 'bunko-top-left-sidebar' ) ) dynamic_sidebar( 'bunko-top-left-sidebar-2' ); ?>
			</div>
			<div class="col-sm-8 new-novels">
				<form method="GET" action="<?php bloginfo( 'url' ); ?>">
					<span class="input-group">
						<input name="s" id="s" type="text" value="<?php echo esc_attr( $_GET['s'] ?? ''); ?>" placeholder="小説検索" class="form-control">
						<span class="input-group-btn"><input type="submit" value="検索" class="btn btn-primary"></span>
					</span>
				</form>

				<hr />

				<div class="panel panel-default new-novel-list">
					<div class="panel-body">
						<div class="tab-content">
							<div class="tab-pane fade in active" id="default">
								<ul class="media-list front-novel-list">
									<?php while( have_posts() ): the_post(); ?>
										<li class="media">
											<a href="<?php the_permalink(); ?>" class="pull-left"><?php the_post_thumbnail_wrap( 'thumbnail', array( 'class' => 'media-object img-thumbnail' ) ); ?></a>
											<div class="media-body">
												<h4 class="media-heading">
													<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
												</h4>
												<p>
													作者: <?php the_author_posts_link(); ?> ／
													<?php
													$cats =  get_the_terms( get_the_ID(), 'novel_cat' );
													if ( is_array( $cats ) ) : foreach ( $cats as $cat ) : ?>
														<a href="<?php echo get_term_link( $cat->term_id, 'novel_cat' ); ?>" class="no-underline"
														><span class="badge"><?php echo esc_html( $cat->name ); ?></span></a>
													<?php endforeach; endif; ?>
												</p>
												<p><?php the_excerpt(); ?></p>
												<p><a href="<?php the_permalink(); ?>" class="btn btn-default btn-sm"><i class="fa fa-book"></i> 初めから読む</a></p>
											</div>
										</li>
									<?php endwhile; ?>
								</ul>
								<!-- <div class="alert alert-info">該当小説はありません</div> -->
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-3 panel-list">
		<?php if ( is_active_sidebar( 'bunko-top-right-sidebar' ) ) dynamic_sidebar( 'bunko-top-right-sidebar' ); ?>
		<aside class="panel panel-default">
			<div class="panel-body">
				<?php if ( is_user_logged_in() ) : ?>
					<?php global $current_user; ?>
					ログイン中：<a href="<?php echo get_author_posts_url( $current_user->ID ); ?>"><?php echo $current_user->display_name; ?></a><br>
					<a href="<?php echo home_url('/?act=favorites'); ?>">お気に入り小説</a> |
					<a href="<?php echo wp_logout_url(); ?>&amp;redirect_to=<?php echo esc_attr($_SERVER['REQUEST_URI']); ?>">ログアウト</a>
				<?php else : ?>
					<?php global $mairudo_bunko_option; if ( $mairudo_bunko_option['create_account'] == 1 ) : ?>
						<p><a href="<?php echo home_url('/?act=presignup'); ?>" class="btn btn-primary btn-lg btn-block">新規登録</a></p>
					<?php endif; ?>
					<form method="post" action="<?php echo wp_login_url(); ?>">
						<div class="form-group form-group-sm">
							<label for="login_id">ログインID</label>
							<input type="text" class="form-control" id="login_id" name="log">
						</div>
						<div class="form-group form-group-sm">
							<label for="login_id">パスワード</label>
							<input type="password" class="form-control" id="login_id" name="pwd">
						</div>
						<div class="form-group form-group-sm">
							<label><input name="rememberme" type="checkbox" id="rememberme" value="forever"> ログイン状態を保存する</label>
						</div>
						<button type="submit" class="btn btn-default btn-sm">ログイン</button>
					</form>
				<?php endif; ?>
			</div>
		</aside>
		<aside class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-comment-o"></i> 新着コメント</h3>
			</div>
			<div class="list-group">
				<?php
				$comments = get_comments( 'status=approve&number=3' );
				foreach ( $comments as $comment ):
					$post = get_post( $comment->comment_post_ID );
					if ( $post->post_status != 'publish' ) continue;
					?>
					<a href="<?php comment_link(); ?>" class="list-group-item">
						<div class="list-group-item-heading"><?php the_title(); ?></div>
						<div class="list-group-item-footer">
							by <?php comment_author(); ?>
							<span class="text-muted"> <?php comment_date(); ?> <?php comment_time(); ?></span>
						</div>
					</a>
				<?php endforeach; ?>
			</div>
		</aside>
		<aside class="panel panel-default">
			<div class="panel-heading"><h3 class="panel-title">新着活動日記</h3></div>
			<div class="list-group">
				<?php
				$new_diarys = get_posts( array(
					'post_type' => 'diary',
					'numberposts' => 3,
				) );
				foreach ( $new_diarys as $post ) : setup_postdata( $post ) ; ?>
					<a href="<?php the_permalink(); ?>" class="list-group-item">
						<div class="list-group-item-heading"><?php the_title(); ?></div>
						<div class="list-group-item-footer">
							<span class="text-muted">by <?php the_author(); ?> <?php the_date(); ?> <?php the_time(); ?></span>
						</div>
					</a>
				<?php endforeach; ?>
			</div>
		</aside>
		<?php if ( is_active_sidebar( 'bunko-top-right-sidebar' ) ) dynamic_sidebar( 'bunko-top-right-sidebar-2' ); ?>
	</div>
</div>
