<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php wp_title( '|', true, 'right' ); ?><?php bloginfo( 'name' ); ?></title>
	<meta name="description" content="<?php bloginfo( 'description' ); ?>">
	<?php wp_head(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/select2.min.css" media="screen">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css" media="screen">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/font-awesome.min.css" media="screen">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrapValidator.min.css" media="screen">
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" media="screen">
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/select2.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/select2-ja.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.cookie.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/bootstrapValidator.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/script.js"></script>
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	<!--[if lt IE 9]>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/respond.min.js"></script>
	<![endif]-->
</head>
<body>
<div id="wrapper">
	<?php if ( !is_user_logged_in() ) : ?>
		<div class="top-bar"></div>
	<?php endif; ?>

	<?php if ( ( is_home() || is_front_page() ) && !isset( $_GET['act'] ) ) : ?>
		<header id="header" class="jumbotron">
			<div class="container">
				<h2><?php bloginfo( 'name' ); ?></h2>
				<p><?php bloginfo( 'description' ); ?></p>
				<!--
				<div class="btn-group">
					<a href="<?php echo home_url('/?act=presignup'); ?>" class="btn btn-default">新規登録</a>
					<a href="<?php echo home_url('/?act=ranking'); ?>" class="btn btn-default">ランキング</a>
					<a href="<?php echo home_url('/?act=database'); ?>" class="btn btn-default">データベース</a>
				</div>
				<p></p>
				-->
			</div>
		</header>
	<?php else : ?>
		<div class="jumbotron breadcrumb">
			<div class="container">
				<?php get_template_part( 'breadcrumb' ); ?>
			</div>
		</div>
	<?php endif; ?>

	<div id="main-content">
		<div class="container">
