<?php
new MairudoBunkoAjax();

class MairudoBunkoAjax {

	function __construct() {
		// お気に入り
		add_action( 'wp_ajax_favorite', array( $this, 'favorite' ) );
		add_action( 'wp_ajax_nopriv_favorite', array( $this, 'favorite' ) );
		// 投票
		add_action( 'wp_ajax_vote', array( $this, 'vote' ) );
		add_action( 'wp_ajax_nopriv_vote', array( $this, 'vote' ) );
	}

	///////////////////////////////////////
	/* お気に入り */
	///////////////////////////////////////
	public function favorite() {
		$user_id = ( isset($_POST['user_id']) ? $_POST['user_id'] : 0 );
		$post_id = ( isset($_POST['post_id']) ? $_POST['post_id'] : 0 );

		check_ajax_referer( 'bunko_ajax' );

		$favorites = get_user_meta( $user_id, 'novel_favorites', true );
		if ( empty($favorites) )
			$favorites = array();

		if ( in_array( $post_id, $favorites ) ) {
			foreach ($favorites as $idx => $pid) {
				if ( $pid == $post_id ) {
					unset( $favorites[$idx] );
				}
			}
			$data = array( 'button' => 'disabled' );
		} else {
			$favorites[] = $post_id;
			$data = array( 'button' => 'enabled' );
		}

		update_user_meta( $user_id, 'novel_favorites', $favorites );

		// 合計お気に入り数
		$favorite_count = (int) get_post_meta( $post_id, 'novel_favorite_count', true );
		$favorite_count = ( $data['button'] == 'enabled' ) ? $favorite_count + 1 : $favorite_count - 1;
		$data['favorite_count'] = $favorite_count;
		update_post_meta( $post_id, 'novel_favorite_count', $favorite_count );

		wp_send_json_success( $data );
	}

	///////////////////////////////////////
	/* 投票 */
	///////////////////////////////////////
	public function vote() {
		$post_id = ( isset($_POST['post_id']) ? $_POST['post_id'] : 0 );

		check_ajax_referer( 'bunko_ajax' );

		$usip = getenv( 'REMOTE_ADDR' );

		$votes = get_post_meta_arr( $post_id, 'novel_votes', true );

		if ( isset($votes[$usip]) )
			wp_send_json_error( array( 'error' => '既に投票済みです' ) );

		$votes[$usip] = date_i18n( 'U' );
		$votes_count = count($votes);

		update_post_meta( $post_id, 'novel_votes', $votes );
		update_post_meta( $post_id, 'novel_vote_count', $votes_count );

		wp_send_json_success( array( 'votes_count' => $votes_count ) );
	}
}
