jQuery(document).ready(function($) {
	// ツールチップ
	$('.toolmenu-top').children('.btn').tooltip({
		container: 'body',
		placement: 'bottom'
	});
	$('.toolmenu-bottom').children('.btn').tooltip({
		container: 'body',
		placement: 'top'
	});

	// 高さ調整
	var $footer = $('#footer');
	var footerHeight = $footer.outerHeight();
	$footer.css('height', footerHeight + 'px');
	$('#push').css('height', footerHeight + 'px');
	$('#wrapper').css('marginBottom', '-' + footerHeight + 'px');

	// ajax初期設定
	var ajax = {
		url: _bunko.ajax_url,
		type: 'POST',
		dataType: 'json',
		timeout: 10000,
		cache : false
	};

	// お気に入り
	$('#novel-detail, #novel-list, #novel-read').
	on('click', '[data-toggle="favorite"]:not(:disabled)', function(event) {
		event.preventDefault();

		var btnObj = $(this);

		btnObj.
			blur(). // フォーカスアウト
			prop('disabled', true); // クリック禁止

		$.ajax($.extend({
			data: {
				'action': 'favorite',
				'_ajax_nonce': _bunko.ajax_nonce,
				'user_id': btnObj.data('user-id'),
				'post_id': btnObj.data('post-id')
			}
		}, ajax)).
		always(function() {
			btnObj.prop('disabled', false); // クリック許可
		}).
		fail(function(xhr, status, error) {
			var res = xhr.status + ' ' + xhr.statusText;
			alert(res);
		}).
		done(function(res) {
			if (!res.success) {
				alert(res.data.error);
				return;
			}

			if (res.data.button == 'enabled') {
				$('[data-toggle="favorite"]').children('.fa').
					removeClass('fa-star-o').
					addClass('fa-star');

				if (btnObj.data('mobile')) {
					alert('お気に入りに登録しました');
				}
			} else {
				$('[data-toggle="favorite"]').children('.fa').
					removeClass('fa-star').
					addClass('fa-star-o');

				if (btnObj.data('mobile')) {
					alert('お気に入りを解除しました');
				}
			}

			$('.novel-favorite-count').text(res.data.favorite_count);
		});
	}).

	// 投票
	on('click', '[data-toggle="vote"]:not(:disabled)', function(event) {
		event.preventDefault();

		var btnObj = $(this);

		btnObj.
			blur(). // フォーカスアウト
			prop('disabled', true); // クリック禁止

		$.ajax($.extend({
			data: {
				'action': 'vote',
				'_ajax_nonce': _bunko.ajax_nonce,
				'post_id': btnObj.data('post-id')
			}
		}, ajax)).
		always(function() {
			btnObj.prop('disabled', false); // クリック許可
		}).
		fail(function(xhr, status, error) {
			var res = xhr.status + ' ' + xhr.statusText;
			alert(res);
		}).
		done(function(res) {
			if (!res.success) {
				alert(res.data.error);
				return;
			}

			btnObj.children('.fa').
				removeClass('fa-heart-o').
				addClass('fa-heart');

			$('.novel-vote-count').text(res.data.vote_count);

			if (btnObj.data('mobile')) {
				alert('投票しました');
			}
		});
	});

});
