<?php get_header(); ?>

<div class="row" id="user-diary">
	<div class="col-md-7 col-md-offset-1">

		<?php while( have_posts() ): the_post(); ?>

			<section <?php post_class(); ?> id="diary-<?php the_ID(); ?>">
				<div class="panel panel-default panel-diary">
					<div class="panel-heading">
						<h2 class="diary-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<div class="diary-meta">
							<?php the_date(); ?> <?php the_time(); ?> |
							<a href="<?php echo get_comments_link( $post->ID ); ?>">コメント(<?php echo get_comments_number( $post->ID ); ?>)</a>
						</div>
					</div>
					<div class="panel-body">
						<?php the_content(); ?>
						<?php wp_link_pages(); ?>
					</div>
				</div>
			</section>

			<?php if ( !is_archive() ) : ?>
				<?php comments_template(); ?>
			<?php endif; ?>

		<?php endwhile; ?>

	</div>
	<div class="col-md-3">
		<aside class="panel panel-default">
			<div class="panel-body text-center">
				<?php $user = get_user_by( 'id', $post->post_author ); ?>
				<?php echo get_avatar( $user->ID, 96, null, null, array( 'class' => 'img-thumbnail' ) ); ?><br>
				<?php the_author_posts_link(); ?>
			</div>
		</aside>
		<aside class="panel panel-default calendar">
			<?php echo ucc_get_calendar( $post_types = array('diary')); ?>
		</aside>
		<aside class="panel panel-default">
			<div class="panel-heading"><h3 class="panel-title">新着記事</h3></div>
			<div class="list-group">
				<?php
				$user_diarys = get_posts( array(
					'post_type' => 'diary',
					'author' => $user->ID,
					'numberposts' => 3,
				) );
				foreach ( $user_diarys as $post ) : setup_postdata( $post ) ; ?>
					<a href="<?php the_permalink(); ?>" class="list-group-item">
						<div class="list-group-item-heading"><?php the_title(); ?></div>
						<div class="list-group-item-footer"><span class="text-muted"><?php the_date(); ?> <?php the_time(); ?></span></div>
					</a>
				<?php endforeach; ?>
			</div>
		</aside>
	</div>
</div>

<?php pagination(); ?>

<?php get_footer(); ?>
